Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1359804 - Review Request: golang-github-mvo5-goconfigparser - Golang implementation of Python ConfigParser
Summary: Review Request: golang-github-mvo5-goconfigparser - Golang implementation of ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Neal Gompa
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-25 13:22 UTC by Zygmunt Krynicki
Modified: 2016-08-16 22:20 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-16 19:22:47 UTC
ngompa13: fedora-review+


Attachments (Terms of Use)

Description Zygmunt Krynicki 2016-07-25 13:22:57 UTC
Spec URL: https://fedorapeople.org/~zyga/golang-github-mvo5-goconfigparser.spec
SRPM URL: https://fedorapeople.org/~zyga/golang-github-mvo5-goconfigparser-0-0.1.gitefba970.fc24.src.rpm
Description:
This parser is build as a go equivalent of the Python ConfigParser module and
is aimed for maximum compatibility for both the file format and the API. This
should make it easy to use existing python style configuration files from go
and also ease the porting of existing python code.

Fedora Account System Username: zyga

Comment 1 Neal Gompa 2016-07-25 16:39:18 UTC
Taking this review.

Comment 2 Neal Gompa 2016-07-25 17:09:24 UTC
Package was generated through gofed, simplifying the review considerably.

- Conforms to packaging guidelines (gofed generated spec)
- license correct and valid
- only sources installed

Since this package depends on "golang(gopkg.in/check.v1)", you'll need to do a buildroot override to ensure you can build against it for F23 and F24.

See more information on https://fedoraproject.org/wiki/Bodhi/BuildRootOverrides

Package approved.

Comment 3 Gwyn Ciesla 2016-07-26 13:31:37 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/golang-github-mvo5-goconfigparser

Comment 4 Fedora Update System 2016-08-08 07:46:30 UTC
golang-github-mvo5-goconfigparser-0-0.1.gitefba970.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-0137e29c1e

Comment 5 Fedora Update System 2016-08-08 07:48:06 UTC
golang-github-mvo5-goconfigparser-0-0.1.gitefba970.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-0233975de8

Comment 6 Fedora Update System 2016-08-09 01:22:45 UTC
golang-github-mvo5-goconfigparser-0-0.1.gitefba970.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-0137e29c1e

Comment 7 Fedora Update System 2016-08-09 01:26:24 UTC
golang-github-mvo5-goconfigparser-0-0.1.gitefba970.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-0233975de8

Comment 8 Fedora Update System 2016-08-16 19:22:45 UTC
golang-github-mvo5-goconfigparser-0-0.1.gitefba970.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2016-08-16 22:20:30 UTC
golang-github-mvo5-goconfigparser-0-0.1.gitefba970.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.